#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <signal.h>
#include <unistd.h>
#include <sys/types.h>

void grafico(int count, char argu[],char f1[][100],int flagg, char salidanamee[][100])
{
   //***definicion de las variables**********
    FILE *graph,*graph2;
    char nombre[7][100];
    pid_t padre;

    padre=getpid();
    //printf("mi pide es: %d",padre);
    sprintf(nombre[0],"graph%d.gnu",padre);
    sprintf(nombre[3],"graph2%d.gnu",padre);

    sprintf(nombre[1],"%s.rtt.ps",argu);
    sprintf(nombre[2],"%s.loss.ps",argu);

    graph=fopen(nombre[0],"w");
    graph2=fopen(nombre[3],"w");
    //***escribe los archivos que seran utilizados por el programa gnuplot***
    fprintf(graph,"set title  \" RTT  v/s TIEMPO \" \n");
    if(flagg==1)
      {
      fprintf(graph,"set xlabel \"Tiempo[seg] \"\n");
      fprintf(graph,"set xrange [0:6]\n");
      fprintf(graph,"set xtics 0,1\n");
      }
    else
        fprintf(graph,"set xlabel \"Tiempo[min] \"\n");

    fprintf(graph,"set ylabel \"RTT [ms]\"\n");
    fprintf(graph,"set grid\n");
    fprintf(graph,"set term post color \"Times-Roman\" 10\n");
    fprintf(graph,"set output \"%s\"\n",nombre[1]);
    for(int kk=0;kk<count;kk++)
	{
	if((kk==0)&&(kk==count-1))
	   fprintf(graph,"plot \"%s\" using 1:3 title \"%s\" with points 1 \n",salidanamee[kk],f1[kk]);
	else
	{
	if(kk==0)
	  fprintf(graph,"plot \"%s\" using 1:3 title \"%s\" with points 1, \\\n",salidanamee[kk],f1[kk]);
	if((kk>0)&&(kk<count-1))
	  fprintf(graph,"\"%s\" using 1:3 title \"%s\" with points %d, \\\n",salidanamee[kk],f1[kk],kk+1);
	if(kk==count-1)
	  fprintf(graph,"\"%s\" using 1:3 title \"%s\" with points %d\n",salidanamee[kk],f1[kk],kk+1);
	}
	}
    //fprintf(graph,"pause -1\n");
    fprintf(graph2,"set title  \" Perdidos  v/s TIEMPO \" \n");
    if(flagg==1)
      {
      fprintf(graph2,"set xlabel \"Tiempo[seg] \"\n");
      fprintf(graph2,"set xrange [0:6]\n");
      fprintf(graph2,"set xtics 0,1\n");
      }
    else
        fprintf(graph2,"set xlabel \"Tiempo[min] \"\n");

    fprintf(graph2,"set ylabel \"Perdidos \"\n");
    fprintf(graph2,"set grid\n");
    fprintf(graph2,"set term post color \"Times-Roman\" 10\n");
    fprintf(graph2,"set output \"%s\"\n",nombre[2]);

    for(int k=0;k<count;k++)
	{
	if((k==0)&&(k==count-1))
	   fprintf(graph2,"plot \"%s\" using 1:2 title \"%s\" with lines 1 \n",salidanamee[k],f1[k]);
	else
	{
	if(k==0)
	  fprintf(graph2,"plot \"%s\" using 1:2 title \"%s\" with lines 1, \\\n",salidanamee[k],f1[k]);
	if((k>0)&&(k<count-1))
	  fprintf(graph2,"\"%s\" using 1:2 title \"%s\" with lines %d, \\\n",salidanamee[k],f1[k],k+1);
	if((k==count-1))
	  fprintf(graph2,"\"%s\" using 1:2 title \"%s\" with lines %d\n",salidanamee[k],f1[k],k+1);
	}
	}

    //fprintf(graph2,"pause -1\n");
    fclose(graph);
    fclose(graph2);

}


